gc.npc={
	[1]={
		name="[Rufs Gang Servant] Owl";
		imgpath="gfx/gangstercity/npc/owl.png";
		rep=1;
		x=23;
		y=6;
		desc="Where do you want to go?";
		err="I will talk to you later.";
		dir=90;
		menu={
			[1]={
				name="Artica Gang Entrance";
				rep=1;
				money=19;
				gold=0;
				act=function(id)
					parse("setpos "..id.." 400 2192")
				end;
			};
			[2]={
				name="Sonic Gang Entrance";
				rep=16;
				money=59;
				gold=0;
				act=function(id)
					parse("setpos "..id.." 432 3888")
				end;
			};
			[3]={
				name="Wrestlers Gang Entrance";
				rep=18;
				money=49;
				gold=0;
				act=function(id)
					parse("setpos "..id.." 784 3152")
				end;
			};
			[4]={
				name="Westwood Gang Entrance";
				rep=21;
				money=59;
				gold=0;
				act=function(id)
					parse("setpos "..id.." 1360 3152")
				end;
			};
		};
		img="";
	};
	[2]={
		name="[Rufs Gang Servant] Owen";
		imgpath="gfx/gangstercity/npc/owen.png";
		rep=10;
		x=25;
		y=29;
		desc="What do you want?";
		err="Owl, place for beginner.";
		dir=-90;
		menu={
			[1]={
				name="Bandage";
				rep=10;
				money=2999;
				gold=0;
				act=function(id)
					if gc.hp[id]<gc.health[id]-40 then
						gc.hp[id]=gc.hp[id]+40
					else
						gc.hp[id]=gc.health[id]
					end
				end;
			};
			[2]={
				name="Medikit";
				rep=15;
				money=7999;
				gold=0;
				act=function(id)
					gc.hp[id]=gc.health[id]
				end;
			};
			[3]={
				name="Adrenaline";
				rep=20;
				money=1499;
				gold=0;
				act=function(id)
					parse("speedmod "..id.." "..player(id,"speedmod")+1)
				end;
			};
			[4]={
				name="Cocaine";
				rep=20;
				money=3899;
				gold=0;
				act=function(id)
					function regen()				
						if gc.hp[id]<gc.health[id]-5 then
							gc.hp[id]=gc.hp[id]+5
						else
							gc.hp[id]=gc.health[id]
						end
					end
					timer(500,"parse","flashplayer "..id.." 5",120)
					timer(250,"parse","shake "..id.." 3",60)
					timer(1000,"regen","",30)
				end;
			};
			[5]={
				name="Syringe";
				rep=40;
				money=18499;
				gold=1;
				act=function(id)
					if gc.health[id]<975 then
						gc.health[id]=gc.health[id]+25
					else
						msg2(id,"You cannot inject yourself again")
					end
				end;
			};
		};
		img="";
	};
	[3]={
		name="[Rufs Gang Engineer] Brave";
		imgpath="gfx/gangstercity/npc/brave.png";
		rep=1;
		x=33;
		y=31;
		desc="What do you want?";
		err="I will talk to you later.";
		dir=-90;
		menu={
			[1]={
				name="Beginner's Package 1";
				rep=3;
				money=799;
				gold=0;
				act=function(id)
					parse("equip "..id.." 30")
					parse("equip "..id.." 1")
					parse("equip "..id.." 51")
					parse("setammo "..id.." 30 0 60")
					parse("setammo "..id.." 1 0 36")
				end;
			};
			[2]={
				name="Beginner's Package 2";
				rep=4;
				money=1299;
				gold=0;
				act=function(id)
					parse("equip "..id.." 30")
					parse("equip "..id.." 1")
					parse("equip "..id.." 51")
					parse("setammo "..id.." 30 30 75")
					parse("setammo "..id.." 1 12 96")
				end;
			};
			[3]={
				name="Marine Package";
				rep=7;
				money=3999;
				gold=0;
				act=function(id)
					parse("equip "..id.." 32")
					parse("equip "..id.." 1")
					parse("equip "..id.." 51")
					parse("setammo "..id.." 32 0 90")
				end;
			};
			[4]={
				name="Heavy Package";
				rep=11;
				money=8999;
				gold=1;
				act=function(id)
					parse("equip "..id.." 40")
					parse("equip "..id.." 90")
					parse("setammo "..id.." 90 400 0")
				end;
			};
			[5]={
				name="Demolition Package";
				rep=23;
				money=8999;
				gold=1;
				act=function(id)
					parse("equip "..id.." 47")
					parse("equip "..id.." 46")
					parse("equip "..id.." 51")
					parse("setammo "..id.." 47 0 1")
				end;
			};
		};
		img="";
	};
	[4]={
		name="[Rufs Gang Hacker] Mark";
		imgpath="gfx/gangstercity/npc/mark.png";
		rep=80;
		x=37;
		y=5;
		desc="What do you want?";
		err="I only talk with seniors.";
		dir=-120;
		menu={
			[1]={
				name="Hack police database";
				rep=85;
				money=6499;
				gold=0;
				act=function(id)
					gc.wanted[id]=0
					gc.hpolicedata[id]=gc.hpolicedata[id]+1
				end;
			};
			[2]={
				name="Hack mastercard";
				rep=95;
				money=21299;
				gold=0;
				act=function(id)
					gc.disc[id]=gc.disc[id]+1
				end;
			};
			[3]={
				name="Brutal hack mastercard";
				rep=100;
				money=48499;
				gold=1;
				act=function(id)
					gc.disc[id]=gc.disc[id]+5
				end;
			};
		};
		img="";
	};
	[5]={
		name="[Rufs Gang Servant] Teddy";
		imgpath="gfx/gangstercity/npc/teddy.png";
		rep=5;
		x=28;
		y=29;
		desc="Let's trade!";
		err="We will talk later...";
		dir=145;
		menu={
			[1]={
				name="$5000 Sack of money";
				rep=7;
				money=0;
				gold=1;
				act=function(id)
					gc.money[id]=gc.money[id]+5000
				end;
			};
			[2]={
				name="$50000 Box of money";
				rep=17;
				money=0;
				gold=9;
				act=function(id)
					gc.money[id]=gc.money[id]+50000
				end;
			};
			[3]={
				name="$250000 Trunk of money";
				rep=27;
				money=0;
				gold=47;
				act=function(id)
					gc.money[id]=gc.money[id]+250000
				end;
			};
			[4]={
				name="$500000 Truckload of money";
				rep=37;
				money=0;
				gold=93;
				act=function(id)
					gc.money[id]=gc.money[id]+500000
				end;
			};
			[6]={
				name="1 One piece of gold";
				rep=87;
				money=49999;
				gold=0;
				act=function(id)
					gc.gold[id]=gc.gold[id]+1
				end;
			};
			[7]={
				name="5 Hand of gold";
				rep=97;
				money=229999;
				gold=0;
				act=function(id)
					gc.gold[id]=gc.gold[id]+5
				end;
			};
			[8]={
				name="10 Sack of gold";
				rep=107;
				money=419999;
				gold=0;
				act=function(id)
					gc.gold[id]=gc.gold[id]+10
				end;
			};
			[9]={
				name="50 Treause of gold";
				rep=117;
				money=3999999;
				gold=0;
				act=function(id)
					gc.gold[id]=gc.gold[id]+50
				end;
			};
		};
		img="";
	};
};



addhook("second","gc.npcadd")
function gc.npcadd()
	for n=1,#gc.npc do
		if gc.npc[n].img=="" then
			gc.npc[n].img=image(gc.npc[n].imgpath,gc.npc[n].x*32+16,gc.npc[n].y*32+16,1)
			imagepos(gc.npc[n].img,gc.npc[n].x*32+16,gc.npc[n].y*32+16,gc.npc[n].dir)
			imagescale(gc.npc[n].img,2,2)
		end
	end
end

addhook("use","gc.npcuse")
function gc.npcuse(id)
	for n=1,#gc.npc do
		local dist=math.sqrt( (player(id,"x")-gc.npc[n].x*32+16)^2 + (player(id,"y")-gc.npc[n].y*32+16)^2 )
		if dist <= 96 then
			if gc.rep[id]>=gc.npc[n].rep then
				checkp={}
				for d=1,9 do
					if gc.npc[n].menu[d]~=nil then checkp[d]=gc.npc[n].menu[d].name.."|REPUTATION: "..gc.npc[n].menu[d].rep.." | MONEY : "..math.ceil(gc.npc[n].menu[d].money*(100-gc.disc[id])/100).." | GOLD : "..math.ceil(gc.npc[n].menu[d].gold*(100-gc.disc[id])/100) else checkp[d]="" end
				end
				menu(id,""..tostring(gc.npc[n].name).."@b,"..tostring(checkp[1])..","..tostring(checkp[2])..","..tostring(checkp[3])..","..tostring(checkp[4])..","..tostring(checkp[5])..","..tostring(checkp[6])..","..tostring(checkp[7])..","..tostring(checkp[8])..","..tostring(checkp[9]).."")
				msg2(id,gc.npc[n].name.." : "..gc.npc[n].desc)
			else
				msg2(id,gc.npc[n].name.." : "..gc.npc[n].err)
			end
			break
		end
	end
end

addhook("menu","gc.menusel")
function gc.menusel(id,title,button)
	for n=1,#gc.npc do
		if title==gc.npc[n].name then
			if gc.npc[n].menu[button]~=nil then
				if gc.rep[id]>=gc.npc[n].menu[button].rep then
					if gc.money[id]>=gc.npc[n].menu[button].money then 
						if gc.gold[id]>=gc.npc[n].menu[button].gold then
							gc.money[id]=gc.money[id]-math.ceil(gc.npc[n].menu[button].money*(100-gc.disc[id])/100)
							gc.gold[id]=gc.gold[id]-math.ceil(gc.npc[n].menu[button].gold*(100-gc.disc[id])/100)
							gc.npc[n].menu[button].act(id)
						else
							msg2(id,gc.npc[n].name.." : I wont do it for you, you dont have required resources.")
						end
					else
						msg2(id,gc.npc[n].name.." : I wont do it for you, you dont have required resources.")
					end
				else
					msg2(id,gc.npc[n].name.." : I wont do it for you, you dont have required resources.")
				end
			end
		end
	end
end