gc.dst=init(32,"")
gc.dstr=init(32,"")
gc.dstra=init(32,0)
gc.dstx=init(32,0)
gc.dsty=init(32,0)
gc.dsta=init(32,0)

gc.dstpos={
	{x=-320,y=-240,r1=100,r2=170};
	{x=320,y=-240,r1=-170,r2=-100};
	{x=-320,y=240,r1=10,r2=80};
	{x=320,y=240,r1=-80,r2=-10};
}

addhook("minute","gc.godistract")
function gc.godistract()
	for _, id in ipairs(player(0,"tableliving")) do
		if gc.dst[id]~=""  then
			freeimage(gc.dst[id])
		end
		if gc.dstr[id]~="" then
			freeimage(gc.dstr[id])
		end
		local iM= math.random(1,4)
		if iM>1 then
			local poS= math.random(1,#gc.dstpos)
			gc.dstra[id]= 0
			gc.dstx[id]= player(id,"x")+gc.dstpos[poS].x
			gc.dsty[id]= player(id,"y")+gc.dstpos[poS].y
			gc.dsta[id]= math.random(gc.dstpos[poS].r1,gc.dstpos[poS].r2)
			gc.dst[id]= image("gfx/gangstercity/distract/distract"..iM..".png",gc.dstx[id],gc.dsty[id],1,id)
			gc.dstr[id]= image("gfx/gangstercity/distract/distract"..iM.."a.png",gc.dstx[id],gc.dsty[id],1,id)
			parse('sv_sound2 '..id..' "gangstercity/helirotor.ogg"')
		else
			local poS= math.random(1,#gc.dstpos)
			gc.dstx[id]= player(id,"x")+gc.dstpos[poS].x
			gc.dsty[id]= player(id,"y")+gc.dstpos[poS].y
			gc.dsta[id]= math.random(gc.dstpos[poS].r1,gc.dstpos[poS].r2)
			gc.dst[id]= image("gfx/gangstercity/distract/distract"..iM..".png",gc.dstx[id],gc.dsty[id],1,id)
			parse('sv_sound2 '..id..' "gangstercity/plane.ogg"')
		end
	end
end

addhook("always","gc.distract")
function gc.distract()
	for _, id in ipairs(player(0,"tableliving")) do
		if gc.dst[id]~="" then
			gc.dstx[id], gc.dsty[id]= gc.dstx[id]-math.sin(math.rad(gc.dsta[id]-180))*7.3, gc.dsty[id]+math.cos(math.rad(gc.dsta[id]-180))*7.3
			imagepos(gc.dst[id], gc.dstx[id], gc.dsty[id], gc.dsta[id])
			if gc.dstr[id]~="" then
				gc.dstra[id]=gc.dstra[id]+12
				imagepos(gc.dstr[id], gc.dstx[id]-math.sin(math.rad(gc.dsta[id]-180))*7.3*4, gc.dsty[id]+math.cos(math.rad(gc.dsta[id]-180))*7.3*4, gc.dstra[id])
			end
		end
	end
end
